%{H_TEMPLATE}

#ifndef TDEMDIKONSOLE_H
#define TDEMDIKONSOLE_H

#include <tqvbox.h>

class tdemdikonsole : public TQVBox
{
	TQ_OBJECT
  

	public:
		tdemdikonsole( TQWidget* parent, const char* name=0);
		~tdemdikonsole();

	public slots:
		void setDirectory(const TQString & dir);
		void activate();

	private slots:
		void slotDestroyed();
		void respawn();

	protected:
		void showEvent(TQShowEvent *ev);

	private:
		KParts::ReadOnlyPart *m_part;
		bool m_haskonsole;
};

#endif // TDEMDIKONSOLE_H
